.pe-redactor__editor > *,
.t-rec .t1211 .ql-editor > * {
	margin: 16px 0;
}

.pe-redactor__editor > *:first-child,
.t-rec .t1211 .ql-editor > *:first-child {
	margin-top: 0 !important;
	padding-top: 0 !important;
}

h2.t-redactor__h2,
h3.t-redactor__h3,
h4.t-redactor__h4 {
	margin: 32px 0 16px !important;
	padding: 0;
	font-weight: 500;
	line-height: 1.3;
}

h2.t-redactor__h2 {
	font-size: 36px;
}

h3.t-redactor__h3 {
	font-size: 32px;
}

h4.t-redactor__h4 {
	font-size: 26px;
}

.t-redactor__text,
.t-redactor__preface {
	padding: 0;
	line-height: 1.4;
}

.t-redactor__text,
.t-redactor__quote {
	font-size: 1em;
}

.t-redactor__preface {
	font-size: 26px;
	line-height: 1.55;
}

.t-redactor__quote {
	padding-left: 20px;
	border-left: 3px solid rgba(0, 0, 0, 0.84);
	line-height: 1.5;
}

.t-redactor__image {
	width: 100%;
}

.t-redactor__image img {
	display: block;
	width: 100%;
}

.t-redactor__image figcaption {
	margin-top: 5px;
	font-size: 16px;
	font-style: italic;
	opacity: 0.5;
}

.t-redactor__image_center img {
	margin: 0 auto;
}

.t-redactor__image_center figcaption {
	text-align: center;
}

h2.t-redactor__h2,
h3.t-redactor__h3,
h4.t-redactor__h4,
.t-redactor__text,
.t-redactor__preface,
.t-redactor__quote,
.t-redactor__callout {
	word-break: break-word;
}

.t-redactor__callout,
.t-redactor__hr,
.t-redactor__highlightcode {
	margin: 32px 0 !important;
}

.t-redactor__callout {
	position: relative;
	padding: 30px 20px 28px 55px;
	color: #000000;
	background-color: rgba(0, 0, 0, 0.1);
}

@supports (color: color-mix(in srgb, currentColor 10%, transparent)) {
	.t-redactor__callout {
		background-color: color-mix(in srgb, currentColor 10%, transparent);
	}
}

.t-redactor__callout-text {
	min-height: 27px;
}

.t-redactor__callout-icon {
	position: absolute;
	top: 27px;
	left: 20px;
	color: currentColor;
}

.t-redactor__callout_fontSize_default {
	font-size: 18px;
}

.t-redactor__callout_fontSize_small {
	font-size: 16px;
}

.t-redactor__callout_fontSize_big {
	font-size: 22px;
}

.t-redactor__hr hr {
	width: 100%;
	height: 1px;
	margin: 0;
	background: #000;
	border: none;
	opacity: 1;
}

.t-redactor__video-container {
	position: relative;
	/* 16:9 */
	padding-bottom: 56.25%;
	height: 0;
}

.t-redactor__video-container video,
.t-redactor__video-container iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100% !important;
	height: 100% !important;
}

.t-redactor__video-container video {
	object-fit: cover;
}

.t-redactor__highlightcode {
	background-color: #f8f8f8;
	border: 1px solid #ccc;
	border-radius: 5px;
	overflow: hidden;
}

.t-redactor__highlightcode code {
	box-sizing: border-box;
	width: 100%;
	padding: 20px;
	font-size: 14px;
	white-space: pre;
}

.t-redactor__highlightcode:empty {
	padding: 0;
}

.t-redactor__highlightcode::-webkit-scrollbar {
	width: 6px;
	height: 6px;
	-webkit-appearance: none;
}

.t-redactor__highlightcode::-webkit-scrollbar-thumb {
	background-color: rgba(0, 0, 0, 0.5);
	border-radius: 4px;
}

.t-redactor__highlightcode::-webkit-scrollbar-corner {
	background-color: transparent;
	border-radius: 10px;
}
